Package org.apache.synapse.commons.datasource

## Class DataSourceConstants

- java.lang.Object
- - org.apache.synapse.commons.datasource.DataSourceConstants

-     public class DataSourceConstants
      extends Object

  Constants related to the DataSource component

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COMMA_STRING` |
    `static String` | `DATA_SOURCE_INFORMATION_REPOSITORY` |
    `static String` | `DEFAULT_IC_FACTORY` |
    `static int` | `DEFAULT_PROVIDER_PORT` |
    `static String` | `DOT_STRING` |
    `static String` | `PROP_ACCESS_TO_UNDERLYING_CONNECTION_ALLOWED` |
    `static String` | `PROP_BASIC_DATA_SOURCE` |
    `static String` | `PROP_CLASS_NAME` |
    `static String` | `PROP_CPDS_ADAPTER` |
    `static String` | `PROP_CPDS_ADAPTER_DRIVER` |
    `static String` | `PROP_CPDS_CLASS_NAME` |
    `static String` | `PROP_CPDS_FACTORY` |
    `static String` | `PROP_CPDS_NAME` |
    `static String` | `PROP_DATA_SOURCE_NAME` |
    `static String` | `PROP_DEFAULT_AUTO_COMMIT` |
    `static String` | `PROP_DEFAULT_CATALOG` |
    `static String` | `PROP_DEFAULT_MAX_ACTIVE` |
    `static String` | `PROP_DEFAULT_MAX_IDLE` |
    `static String` | `PROP_DEFAULT_MAX_WAIT` |
    `static String` | `PROP_DEFAULT_READ_ONLY` |
    `static String` | `PROP_DEFAULT_TRANSACTION_ISOLATION` |
    `static String` | `PROP_DRIVER` |
    `static String` | `PROP_DRIVER_CLS_NAME` |
    `static String` | `PROP_DS_NAME` |
    `static String` | `PROP_FACTORY` |
    `static String` | `PROP_IC_FACTORY` |
    `static String` | `PROP_INITIAL_SIZE` |
    `static String` | `PROP_JNDI_ENV` |
    `static String` | `PROP_LOG_ABANDONED` |
    `static String` | `PROP_MAX_ACTIVE` |
    `static String` | `PROP_MAX_IDLE` |
    `static String` | `PROP_MAX_OPEN_PREPARED_STATEMENTS` |
    `static String` | `PROP_MAX_WAIT` |
    `static String` | `PROP_MIN_EVICTABLE_IDLE_TIME_MILLIS` |
    `static String` | `PROP_MIN_IDLE` |
    `static String` | `PROP_NAME` |
    `static String` | `PROP_NUM_TESTS_PER_EVICTION_RUN` |
    `static String` | `PROP_POOL_PREPARED_STATEMENTS` |
    `static String` | `PROP_PROVIDER_PORT` |
    `static String` | `PROP_PROVIDER_URL` |
    `static String` | `PROP_REGISTRY` |
    `static String` | `PROP_REGISTRY_JNDI` |
    `static String` | `PROP_REGISTRY_MEMORY` |
    `static String` | `PROP_REMOVE_ABANDONED` |
    `static String` | `PROP_REMOVE_ABANDONED_TIMEOUT` |
    `static String` | `PROP_SYNAPSE_PREFIX_DS` |
    `static String` | `PROP_TEST_ON_BORROW` |
    `static String` | `PROP_TEST_ON_RETURN` |
    `static String` | `PROP_TEST_WHILE_IDLE` |
    `static String` | `PROP_TIME_BETWEEN_EVICTION_RUNS_MILLIS` |
    `static String` | `PROP_TYPE` |
    `static String` | `PROP_URL` |
    `static String` | `PROP_USER` |
    `static String` | `PROP_VALIDATION_QUERY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataSourceConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_SYNAPSE_PREFIX_DS

          public static final String PROP_SYNAPSE_PREFIX_DS

      See Also:
        Constant Field Values

    - #### PROP_DRIVER_CLS_NAME

          public static final String PROP_DRIVER_CLS_NAME

      See Also:
        Constant Field Values

    - #### PROP_DS_NAME

          public static final String PROP_DS_NAME

      See Also:
        Constant Field Values

    - #### PROP_URL

          public static final String PROP_URL

      See Also:
        Constant Field Values

    - #### PROP_DRIVER

          public static final String PROP_DRIVER

      See Also:
        Constant Field Values

    - #### PROP_USER

          public static final String PROP_USER

      See Also:
        Constant Field Values

    - #### PROP_CPDS_ADAPTER

          public static final String PROP_CPDS_ADAPTER

      See Also:
        Constant Field Values

    - #### PROP_JNDI_ENV

          public static final String PROP_JNDI_ENV

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_MAX_ACTIVE

          public static final String PROP_DEFAULT_MAX_ACTIVE

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_MAX_IDLE

          public static final String PROP_DEFAULT_MAX_IDLE

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_MAX_WAIT

          public static final String PROP_DEFAULT_MAX_WAIT

      See Also:
        Constant Field Values

    - #### PROP_DATA_SOURCE_NAME

          public static final String PROP_DATA_SOURCE_NAME

      See Also:
        Constant Field Values

    - #### PROP_CPDS_CLASS_NAME

          public static final String PROP_CPDS_CLASS_NAME

      See Also:
        Constant Field Values

    - #### PROP_CPDS_FACTORY

          public static final String PROP_CPDS_FACTORY

      See Also:
        Constant Field Values

    - #### PROP_CPDS_NAME

          public static final String PROP_CPDS_NAME

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_AUTO_COMMIT

          public static final String PROP_DEFAULT_AUTO_COMMIT

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_READ_ONLY

          public static final String PROP_DEFAULT_READ_ONLY

      See Also:
        Constant Field Values

    - #### PROP_TEST_ON_BORROW

          public static final String PROP_TEST_ON_BORROW

      See Also:
        Constant Field Values

    - #### PROP_TEST_ON_RETURN

          public static final String PROP_TEST_ON_RETURN

      See Also:
        Constant Field Values

    - #### PROP_TIME_BETWEEN_EVICTION_RUNS_MILLIS

          public static final String PROP_TIME_BETWEEN_EVICTION_RUNS_MILLIS

      See Also:
        Constant Field Values

    - #### PROP_NUM_TESTS_PER_EVICTION_RUN

          public static final String PROP_NUM_TESTS_PER_EVICTION_RUN

      See Also:
        Constant Field Values

    - #### PROP_MIN_EVICTABLE_IDLE_TIME_MILLIS

          public static final String PROP_MIN_EVICTABLE_IDLE_TIME_MILLIS

      See Also:
        Constant Field Values

    - #### PROP_TEST_WHILE_IDLE

          public static final String PROP_TEST_WHILE_IDLE

      See Also:
        Constant Field Values

    - #### PROP_VALIDATION_QUERY

          public static final String PROP_VALIDATION_QUERY

      See Also:
        Constant Field Values

    - #### PROP_MAX_ACTIVE

          public static final String PROP_MAX_ACTIVE

      See Also:
        Constant Field Values

    - #### PROP_MAX_IDLE

          public static final String PROP_MAX_IDLE

      See Also:
        Constant Field Values

    - #### PROP_MAX_WAIT

          public static final String PROP_MAX_WAIT

      See Also:
        Constant Field Values

    - #### PROP_MIN_IDLE

          public static final String PROP_MIN_IDLE

      See Also:
        Constant Field Values

    - #### PROP_INITIAL_SIZE

          public static final String PROP_INITIAL_SIZE

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_TRANSACTION_ISOLATION

          public static final String PROP_DEFAULT_TRANSACTION_ISOLATION

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_CATALOG

          public static final String PROP_DEFAULT_CATALOG

      See Also:
        Constant Field Values

    - #### PROP_ACCESS_TO_UNDERLYING_CONNECTION_ALLOWED

          public static final String PROP_ACCESS_TO_UNDERLYING_CONNECTION_ALLOWED

      See Also:
        Constant Field Values

    - #### PROP_REMOVE_ABANDONED

          public static final String PROP_REMOVE_ABANDONED

      See Also:
        Constant Field Values

    - #### PROP_REMOVE_ABANDONED_TIMEOUT

          public static final String PROP_REMOVE_ABANDONED_TIMEOUT

      See Also:
        Constant Field Values

    - #### PROP_LOG_ABANDONED

          public static final String PROP_LOG_ABANDONED

      See Also:
        Constant Field Values

    - #### PROP_POOL_PREPARED_STATEMENTS

          public static final String PROP_POOL_PREPARED_STATEMENTS

      See Also:
        Constant Field Values

    - #### PROP_MAX_OPEN_PREPARED_STATEMENTS

          public static final String PROP_MAX_OPEN_PREPARED_STATEMENTS

      See Also:
        Constant Field Values

    - #### PROP_PROVIDER_PORT

          public static final String PROP_PROVIDER_PORT

      See Also:
        Constant Field Values

    - #### PROP_REGISTRY

          public static final String PROP_REGISTRY

      See Also:
        Constant Field Values

    - #### PROP_REGISTRY_MEMORY

          public static final String PROP_REGISTRY_MEMORY

      See Also:
        Constant Field Values

    - #### PROP_REGISTRY_JNDI

          public static final String PROP_REGISTRY_JNDI

      See Also:
        Constant Field Values

    - #### PROP_IC_FACTORY

          public static final String PROP_IC_FACTORY

      See Also:
        Constant Field Values

    - #### PROP_PROVIDER_URL

          public static final String PROP_PROVIDER_URL

      See Also:
        Constant Field Values

    - #### DOT_STRING

          public static final String DOT_STRING

      See Also:
        Constant Field Values

    - #### COMMA_STRING

          public static final String COMMA_STRING

      See Also:
        Constant Field Values

    - #### PROP_TYPE

          public static final String PROP_TYPE

      See Also:
        Constant Field Values

    - #### PROP_BASIC_DATA_SOURCE

          public static final String PROP_BASIC_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### PROP_CLASS_NAME

          public static final String PROP_CLASS_NAME

      See Also:
        Constant Field Values

    - #### PROP_CPDS_ADAPTER_DRIVER

          public static final String PROP_CPDS_ADAPTER_DRIVER

      See Also:
        Constant Field Values

    - #### PROP_FACTORY

          public static final String PROP_FACTORY

      See Also:
        Constant Field Values

    - #### PROP_NAME

          public static final String PROP_NAME

      See Also:
        Constant Field Values

    - #### DATA_SOURCE_INFORMATION_REPOSITORY

          public static final String DATA_SOURCE_INFORMATION_REPOSITORY

      See Also:
        Constant Field Values

    - #### DEFAULT_IC_FACTORY

          public static final String DEFAULT_IC_FACTORY

      See Also:
        Constant Field Values

    - #### DEFAULT_PROVIDER_PORT

          public static final int DEFAULT_PROVIDER_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataSourceConstants

          public DataSourceConstants()